=== c++/src/db/CMakeLists.txt ===
# $Id: CMakeLists.txt 621588 2020-12-14 19:26:57Z ivanov $

NCBI_add_subdirectory(bdb sqlite)
