=== c++/src/app/blastdb/CMakeLists.txt ===
# $Id: CMakeLists.txt 659133 2022-11-16 18:03:53Z fongah2 $

NCBI_add_app(
  blastdbcmd makeblastdb blastdb_aliastool blastdbcheck convert2blastmask
  blastdbcp makeprofiledb blastdb_convert blastdb_path makeclusterdb
)
