=== c++/src/app/blastvdb/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 643194 2022-01-06 14:19:06Z grichenk $
#############################################################################

NCBI_add_app(blastn_vdb tblastn_vdb blast_vdb_cmd blast_formatter_vdb)
