=== debian/changelog ===
ncbi-blast+ (2.16.0+ds-7) unstable; urgency=medium

  * debian/control: Build-depend on libncbi-vdb-dev where available
    (amd64, arm64, and x32).
  * debian/copyright: Overhaul with much help from licenserecon (lrc).
  * debian/patches/fix_bm_for_gcc15 (new): Cherry-pick a BitMagic fix
    needed for modern compilers, adjusting the path appropriately.'
    (Closes: #1097434.)
  * debian/rules: Build against (packaged!) VDB where available, using
    logic cribbed from ncbi-igblast.  (Closes: #1100037.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 03 May 2025 23:42:51 -0400

ncbi-blast+ (2.16.0+ds-6) unstable; urgency=medium

  * debian/control: Reinstate big-endian builds, which can be salvaged
    adequately well.
  * debian/patches/big_endian_workaround (new): On big-endian
    architectures, roll makeblastdb's and makeprofiledb's default
    blastdb_version back to 4 pending a proper fix.  Some things,
    including in particular q2-feature-classifier, will still explicitly
    request version 5, but everything else should be OK.  (See #1077777.)
  * debian/rules: Try disabling optimization altogether on sh4.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 06 Aug 2024 21:45:09 -0400

ncbi-blast+ (2.16.0+ds-5) unstable; urgency=medium

  * debian/control: Forbid builds for big-endian architectures, at least
    for now.  They nominally succeed, but two dependent autopkgtests (for
    cct and kleborate) have started failing on s390x, and there's no
    evidence that other BE architectures fare any better.  (See #1077777.)
  * debian/rules:
    - Try building with -fsection-anchors on alpha in hopes of satisfying
      the GOT size limit there too.
    - Extend -O1 cap to sh4, which still encountered VM exhaustion.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Aug 2024 16:04:32 -0400

ncbi-blast+ (2.16.0+ds-4) unstable; urgency=medium

  * debian/rules:
    - Move architecture.mk inclusion to the very top for the sake of
      hypothetical builds bypassing dpkg-buildpackage.
    - Compile with -ffunction-sections on hppa and -mxgot on mips*
      (mips64el in practice) due to having outgrown default settings.
    - Disable parallel building on sh4 in hopes of avoiding buildd virtual
      memory exhaustion.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 27 Jul 2024 22:38:52 -0400

ncbi-blast+ (2.16.0+ds-3) unstable; urgency=medium

  * debian/rules: Fix typo (missing parenthesis).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Jul 2024 15:37:28 -0400

ncbi-blast+ (2.16.0+ds-2) unstable; urgency=medium

  * debian/patches/hurd_fixes: Extend to ncbi_localip.c, which otherwise
    accommodates PATH_MAX's absence only under Windows.
  * debian/rules: Link with -latomic on most 32-bit architectures
    (excepting only x86 and armhf, which succeed as is).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Jul 2024 14:54:55 -0400

ncbi-blast+ (2.16.0+ds-1) unstable; urgency=medium

  * New upstream release, which should be (more than) new enough for
    recent q2-feature-classifier.  (Closes: #1074316.)
  * debian/control:
    - Build against libnghttp2-dev, libsqlite3-dev, and libuv1-dev, newly
      needed.
    - Build against autoconf2.69.
    - Build against libpcre2-dev, as enabled by debian/patches/allow_pcre2.
    - Stop building against 2to3, which may not be around much longer.
  * debian/patches: Update for new release, mostly formally.
  * debian/patches/2to3 (new): Cache 2to3 diff for
    windowmasker_2.2.22_adapter.
  * debian/patches/allow_pcre2 (new): Allow use of PCRE2.
  * debian/patches/series:
    - Move system_mbedtls_only up in conjunction with incorporating part
      of an upstream patch needed by support_mbedtls3.
    - Comment out reprobuild; I'm all for reproducibility, but the package
      already automatically builds with flags that make __FILE__ relative,
      and many of its uses are in header-defined macros that intend to
      pick up their callers' paths.
  * debian/patches/support_mbedtls3 (new): Support (but don't require)
    Mbed TLS 3.x.  (Closes: #1075867.)
  * debian/patches/system_mbedtls: Extend to cover ncbi_mbedtls.c (as in
    https://github.com/ncbi/ncbi-cxx-toolkit-public/commit/f9c7297dd1)
    and Makefile.xxconnect2.lib.
  * debian/rules:
    - Regenerate configure and config.h.in with Autoconf 2.69.
    - Build against PCRE2, as enabled by debian/patches/allow_pcre2.
      (Closes: #891197.)
    - Tune flags: Add --without-strip to make --with-symbols effective;
      switch off warnings from __DATE__/__TIME__ usage, since
      dpkg-buildpackage's SOURCE_DATE_EPOCH injection should suffice.
    - Extend generated-sources cleanup to objtools/eutils (not entirely
      straightforward due to input format variation).
    - Drop build-time 2to3 invocation in favor of debian/patches/2to3.
  * debian/source/lintian-overrides: No more rapidjson10 (just ...11).
  * Standards-Version: 4.7.0 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 25 Jul 2024 20:07:36 -0400
