## ncbi-blast+ 2.17.0+ds

=== c++/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# $Id: CMakeLists.txt 684489 2024-06-25 12:36:39Z blastadm $
+# $Id: CMakeLists.txt 699179 2025-07-01 12:49:21Z blastadm $
 #############################################################################
 
 cmake_minimum_required(VERSION 3.15)
