=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: CMakeLists.txt 669920 2023-07-13 15:40:22Z ivanov $
+# $Id: CMakeLists.txt 669752 2023-07-10 16:31:12Z mozese2 $
 
 NCBI_add_subdirectory(
   agp_validate
