=== c++/src/cgi/CMakeLists.txt ===
# $Id: CMakeLists.txt 696030 2025-04-07 12:59:48Z ivanov $

NCBI_project_tags(web)
NCBI_add_library(cgi fcgi fcgi_st fcgi_mt)
NCBI_add_subdirectory(test)
#NCBI_add_subdirectory(demo)
