=== c++/src/corelib/CMakeLists.txt ===
# $Id: CMakeLists.txt 682694 2024-05-07 12:28:56Z grichenk $

NCBI_project_tags(core)
NCBI_add_library(corelib test_mt test_boost)
NCBI_add_subdirectory(test)
NCBI_add_subdirectory(jaeger)
NCBI_add_subdirectory(opentelemetry)
