=== c++/src/html/CMakeLists.txt ===
# $Id: CMakeLists.txt 621588 2020-12-14 19:26:57Z ivanov $

NCBI_project_tags(web)
NCBI_add_library(html)
NCBI_add_subdirectory(test demo)
