=== c++/src/objmgr/CMakeLists.txt ===
# $Id: CMakeLists.txt 621735 2020-12-16 15:47:41Z ivanov $

NCBI_add_library(objmgr)
NCBI_add_subdirectory(test util split)
