=== c++/src/objtools/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: CMakeLists.txt 680762 2024-03-27 13:50:01Z ivanov $
+# $Id: CMakeLists.txt 675286 2023-11-17 17:35:01Z gotvyans $
 
 NCBI_add_subdirectory(
   unit_test_util readers blast lds2 data_loaders simple
