=== c++/src/algo/dustmask/CMakeLists.txt ===
# $Id: CMakeLists.txt 621774 2020-12-16 19:29:59Z ivanov $

NCBI_add_library(xalgodustmask)
