=== debian/changelog ===
ncbi-blast+ (2.17.0+ds-6) unstable; urgency=medium

  * debian/patches/support_x32: Unbreak 64-bit builds.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 17 Oct 2025 11:26:19 -0400

ncbi-blast+ (2.17.0+ds-5) unstable; urgency=medium

  * debian/patches/support_x32: Fix wgsread.cpp for 32-bit architectures.
    (Closes: #1117023.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 17 Oct 2025 10:12:47 -0400

ncbi-blast+ (2.17.0+ds-4) unstable; urgency=medium

  * debian/patches/support_x32: Correctly broaden configure(.ac)'s VDB
    allow-list.  (Closes: #1117023.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 16 Oct 2025 17:24:56 -0400

ncbi-blast+ (2.17.0+ds-3) unstable; urgency=medium

  * debian/control: Restrict armv8crc-support dependency to arm64.
  * debian/patches/support_x32: Slightly broaden configure(.ac)'s VDB
    allow-list.  (Closes: #1117023.)
  * debian/patches/zcf-simde-crc32c: Leave CFLAGS alone on 32-bit ARM;
    adjustments aren't actually worthwhile there and would have needed to
    go further on armhf, on which (at least under GCC) ARMv8 targets
    additionally need +simd.  (Closes: #1117022.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 16 Oct 2025 16:15:12 -0400

ncbi-blast+ (2.17.0+ds-2) unstable; urgency=medium

  * debian/control:
    - Additionally build-depend on libsimde-dev.
    - Require CRC support on ARM per upstream.
  * debian/patches/zcf-simde-crc32c (new): Replace Cloudflare deflate.c's
    fallbackless architecture-dependent code with a SIMDE invocation that
    amounts to the same thing on supported architectures and to a portable
    fallback elsewhere.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Oct 2025 14:43:25 -0400

ncbi-blast+ (2.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Require SSE 4.2 on x86 per upstream.
    - Reformat via "cme fix dpkg-control" (routine-update).
  * debian/copyright:
    - Update with more help from lrc.
    - Clean up whitespace (routine-update).
  * debian/ncbi-blast+.lintian-overrides: Override embedded-library zlib
    for libzcf.so, which is Cloudflare's fork.
  * debian/patches: Update for new release, mostly formally.
  * debian/patches/series: Comment out support_mbedtls3, allow_pcre2,
    and fix_bm_for_gcc15, all incorporated upstream.
  * debian/patches/system_mbedtls_only: Drop code changes (incorporated
    upstream) and port Makefile.connssl.lib's changes.
  * debian/rules: Explicitly supply VDB_LIBDIR to configure to avoid a bad
    interaction that led to spurious runpath entries in binaries linked
    against VDB.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Sep 2025 23:08:59 -0400
